Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jdeveloper.html
Class StaticPickList

    java.lang.Object
      |
      +--oracle.jdeveloper.html.HTMLFieldRendererImpl
            |
            +--oracle.jdeveloper.html.StaticPickList

public class StaticPickList
extends HTMLFieldRendererImpl

This class represents a Static PickList. It's data is provided by two string arrays, one for the labels and another for the prompts . It supports various renderings: combobox, listbox,radio group and checbox group.

Version:
  PUBLIC

Field Summary
`protected HTMLForm` | `aForm`
`protected java.lang.String[]` | `aLabels`
`protected java.util.Hashtable` | `allvalues`
`protected java.lang.String[]` | `aValues`
`protected int` | `nType`
`protected java.lang.String` | `sQuery`
`static int` | `TYPE_CHECKBOX_GROUP`
`static int` | `TYPE_COMBOBOX`
`static int` | `TYPE_LISTBOX`
`static int` | `TYPE_RADIO_GROUP`
`protected java.util.Hashtable` | `values`

Fields inherited from class oracle.jdeveloper.html.HTMLFieldRendererImpl
`nHeight, nLength, nWidth, sClass, sFormName, sName, sPrompt, sValue`

Constructor Summary
`StaticPickList()` Constructs object.

Method Summary
`protected void` | `generateCheckBoxGroup()`
`protected void` | `generateComboBox()`
`protected void` | `generateListBox()`
`protected void` | `generateRadioGroup()`
`protected void` | `prepareForMultiValueListGeneration()`
`void` | `setDataSource(java.lang.String[] labels, java.lang.String[] values)` Configures the source arrays for the prompts and values of the static picklist
`void` | `useCheckBoxGroup()` Tells StaticPickList ot render as checkbox group.
`void` | `useComboBox()` Tells StaticPickList to render as a combo box.
`void` | `useListBox()` Tells StaticPickList to render as listbox
`void` | `useRadioGroup()` Tells StaticPickList ot render as radio button group

Methods inherited from class oracle.jdeveloper.html.HTMLFieldRendererImpl
`getCSSClassName, getDisplayHeight, getDisplayWidth, getFieldName, getFormName, getMaxDataLength, getPromptText, getValue, renderToString, setCSSClassName, setDisplayHeight, setDisplayWidth, setFieldName, setFormName, setMaxDataLength, setPromptText, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_COMBOBOX

    public static final int TYPE_COMBOBOX

### TYPE_LISTBOX

    public static final int TYPE_LISTBOX

### TYPE_CHECKBOX_GROUP

    public static final int TYPE_CHECKBOX_GROUP

### TYPE_RADIO_GROUP

    public static final int TYPE_RADIO_GROUP

### nType

    protected int nType

### sQuery

    protected java.lang.String sQuery

### aForm

    protected HTMLForm aForm

### values

    protected java.util.Hashtable values

### allvalues

    protected java.util.Hashtable allvalues

### aLabels

    protected java.lang.String[] aLabels

### aValues

    protected java.lang.String[] aValues

Constructor Detail

### StaticPickList

    public StaticPickList()

  Constructs object. Default rendering is combo box.

Method Detail

### useComboBox

    public void useComboBox()

  Tells StaticPickList to render as a combo box.

### useListBox

    public void useListBox()

  Tells StaticPickList to render as listbox

### useRadioGroup

    public void useRadioGroup()

  Tells StaticPickList ot render as radio button group

### useCheckBoxGroup

    public void useCheckBoxGroup()

  Tells StaticPickList ot render as checkbox group.

### setDataSource

    public void setDataSource(java.lang.String[] labels,
                              java.lang.String[] values)

  Configures the source arrays for the prompts and values of the static picklist

### prepareForMultiValueListGeneration

    protected void prepareForMultiValueListGeneration()

### generateComboBox

    protected void generateComboBox()

### generateListBox

    protected void generateListBox()

### generateCheckBoxGroup

    protected void generateCheckBoxGroup()

### generateRadioGroup

    protected void generateRadioGroup()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD